---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libSuspendResume1.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0x3FF4, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x2E9D8, symBinAddr: 0xC078, symSize: 0x0 }
  - { offsetInCU: 0xD2, offset: 0xD2, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x2EB28, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0xF0, offset: 0xF0, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x2EB30, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8D14, offset: 0x8D14, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x2EB38, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x8D2D, offset: 0x8D2D, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x2EB40, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8D46, offset: 0x8D46, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x2EB48, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8D5F, offset: 0x8D5F, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x2EB50, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8DE8, offset: 0x8DE8, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x2EC10, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x8E01, offset: 0x8E01, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x290C, symBinAddr: 0x5AE4, symSize: 0x198 }
  - { offsetInCU: 0x8E38, offset: 0x8E38, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x2EC18, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x9023, offset: 0x9023, size: 0x8, addend: 0x0, symName: __ZL21GetVirtualThread_func, symObjAddr: 0x2EC28, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x903C, offset: 0x903C, size: 0x8, addend: 0x0, symName: __ZL15tested_vthreads, symObjAddr: 0x2EB60, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9061, offset: 0x9061, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x2EC00, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x907A, offset: 0x907A, size: 0x8, addend: 0x0, symName: __ZL10vthread_no, symObjAddr: 0x2EC30, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x9093, offset: 0x9093, size: 0x8, addend: 0x0, symName: __ZL16agent_event_lock, symObjAddr: 0x2EC08, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x912B, offset: 0x912B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x4268, symSize: 0x24 }
  - { offsetInCU: 0x966D, offset: 0x966D, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xF0C, symBinAddr: 0x428C, symSize: 0x90 }
  - { offsetInCU: 0x9969, offset: 0x9969, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x1144, symBinAddr: 0x431C, symSize: 0x510 }
  - { offsetInCU: 0xA2F4, offset: 0xA2F4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x26F8, symBinAddr: 0x58D0, symSize: 0x30 }
  - { offsetInCU: 0xA381, offset: 0xA381, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x1654, symBinAddr: 0x482C, symSize: 0x1AC }
  - { offsetInCU: 0xA8F6, offset: 0xA8F6, size: 0x8, addend: 0x0, symName: _Java_SuspendResume1_TestSuspendResume, symObjAddr: 0x1800, symBinAddr: 0x49D8, symSize: 0x60C }
  - { offsetInCU: 0xB2E4, offset: 0xB2E4, size: 0x8, addend: 0x0, symName: __ZL27test_threads_suspend_resumeP7JNIEnv_iPP8_jobject, symObjAddr: 0x1E0C, symBinAddr: 0x4FE4, symSize: 0x288 }
  - { offsetInCU: 0xB7F7, offset: 0xB7F7, size: 0x8, addend: 0x0, symName: __ZL32test_jvmti_functions_for_threadsP7JNIEnv_biPP8_jobject, symObjAddr: 0x2094, symBinAddr: 0x526C, symSize: 0x2EC }
  - { offsetInCU: 0xBD8A, offset: 0xBD8A, size: 0x8, addend: 0x0, symName: __ZL21check_suspended_stateP7JNIEnv_P8_jobjectiPcPKc, symObjAddr: 0x2AA4, symBinAddr: 0x5C7C, symSize: 0x200 }
  - { offsetInCU: 0xC0DB, offset: 0xC0DB, size: 0x8, addend: 0x0, symName: __ZL19check_resumed_stateP7JNIEnv_P8_jobjectiPcPKc, symObjAddr: 0x2DFC, symBinAddr: 0x5FD4, symSize: 0x200 }
  - { offsetInCU: 0xC50C, offset: 0xC50C, size: 0x8, addend: 0x0, symName: __ZL18get_virtual_threadP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2CA4, symBinAddr: 0x5E7C, symSize: 0x158 }
  - { offsetInCU: 0xC8ED, offset: 0xC8ED, size: 0x8, addend: 0x0, symName: __ZL17print_stack_traceP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x3118, symBinAddr: 0x62F0, symSize: 0x478 }
  - { offsetInCU: 0xD2E6, offset: 0xD2E6, size: 0x8, addend: 0x0, symName: __ZL33test_get_thread_list_stack_tracesP7JNIEnv_biPP8_jobject, symObjAddr: 0x2FFC, symBinAddr: 0x61D4, symSize: 0x11C }
  - { offsetInCU: 0xD488, offset: 0xD488, size: 0x8, addend: 0x0, symName: _Java_SuspendResume1_GetStatus, symObjAddr: 0x2380, symBinAddr: 0x5558, symSize: 0xC }
  - { offsetInCU: 0xD4C4, offset: 0xD4C4, size: 0x8, addend: 0x0, symName: _Java_SuspendResume1_GetStatus, symObjAddr: 0x2380, symBinAddr: 0x5558, symSize: 0xC }
  - { offsetInCU: 0xD5BC, offset: 0xD5BC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x238C, symBinAddr: 0x5564, symSize: 0x21C }
  - { offsetInCU: 0xD882, offset: 0xD882, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x25A8, symBinAddr: 0x5780, symSize: 0x13C }
  - { offsetInCU: 0xDB20, offset: 0xDB20, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x26E4, symBinAddr: 0x58BC, symSize: 0x4 }
  - { offsetInCU: 0xDB68, offset: 0xDB68, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x26E4, symBinAddr: 0x58BC, symSize: 0x4 }
  - { offsetInCU: 0xDB7A, offset: 0xDB7A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x26E8, symBinAddr: 0x58C0, symSize: 0x4 }
  - { offsetInCU: 0xDBC2, offset: 0xDBC2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x26E8, symBinAddr: 0x58C0, symSize: 0x4 }
  - { offsetInCU: 0xDBD4, offset: 0xDBD4, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x2728, symBinAddr: 0x5900, symSize: 0x70 }
  - { offsetInCU: 0xDC8A, offset: 0xDC8A, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x2798, symBinAddr: 0x5970, symSize: 0x174 }
...
